WSNotification::Interfaces::WSBaseNotificationSender::SubscriptionManagerPort(3pm)

NAME
WSNotification::Interfaces::WSBaseNotificationSender::SubscriptionManagerPort - SOAP Interface for the WSBaseNotificationSender Web Service

SYNOPSIS
 use WSNotification::Interfaces::WSBaseNotificationSender::SubscriptionManagerPort;
 my $interface = WSNotification::Interfaces::WSBaseNotificationSender::SubscriptionManagerPort->new();

 my $response;
 $response = $interface->Renew();
 $response = $interface->Unsubscribe();

DESCRIPTION
SOAP Interface for the WSBaseNotificationSender web service located at http://docs.oasis-open.org/wsn/bw-2.

SERVICE WSBaseNotificationSender

  Port SubscriptionManagerPort

METHODS

  General methods
new

Constructor.

All arguments are forwarded to SOAP::WSDL::Client.

  SOAP Service methods
Method synopsis is displayed with hash refs as parameters.

The commented class names in the method's parameters denote that objects of the corresponding class can be passed instead of the marked hash ref.

You may pass any combination of objects, hash and list refs to these methods, as long as you meet the structure.

List items (i.e. multiple occurrences) are not displayed in the synopsis. You may generally pass a list ref of hash refs (or objects) instead of a hash ref - this may result in invalid XML if used improperly, though. Note that SOAP::WSDL always expects list references at maximum depth position.

XML attributes are not displayed in this synopsis and cannot be set using hash refs. See the respective class' documentation for additional information.

Renew

Returns a WSNotification::Elements::RenewResponse object.

 $response = $interface->Renew( {
    TerminationTime => $some_value, # AbsoluteOrRelativeTimeType
  },,
 );

Unsubscribe

Returns a WSNotification::Elements::UnsubscribeResponse object.

 $response = $interface->Unsubscribe( {
  },,
 );

AUTHOR
Generated by SOAP::WSDL on Fri Aug 8 16:49:21 2014